(function (paw, utils) {
    function InventoryFixedAssetsService() {
        this.settings = {
            createApiUrl: undefined,
            updateApiUrl: undefined,
            removeApiUrl: undefined,
            confirmApiUrl: undefined
        };
    }

    InventoryFixedAssetsService.prototype.setup = function (settings) {
        paw.lang.append(settings, this.settings);
    };

    InventoryFixedAssetsService.prototype.create = function (data) {
        console.log("CREATE", data);
        return utils.async.post(this.settings.createApiUrl, data);
    };

    InventoryFixedAssetsService.prototype.update = function (data) {
        console.log("UPDATE", data);
        return utils.async.post(this.settings.updateApiUrl, data);
    };

    InventoryFixedAssetsService.prototype.remove = function (data) {
        console.log("REMOVE", data, this.settings.removeApiUrl);
        return utils.async.get(this.settings.removeApiUrl, data);
    };

    InventoryFixedAssetsService.prototype.confirm = function (acKey) {
        console.log("CONFIRM", acKey);
        return utils.async.post(this.settings.confirmApiUrl, acKey);
    };

    paw.view.inventoryFixedAssets.inventoryFixedAssetsService = new InventoryFixedAssetsService();
})(paw, paw.utils);